//============================================================================
// CFA-634 Ultra simple command line test demonstration program
// Copyright (c) 2001-2005, Crystalfontz America, Inc.
// http://www.crystalfontz.com
//============================================================================
#include "stdafx.h"
#include "serial.h"
//============================================================================
int main(int argc, char* argv[])
  {
	printf("Ultra-simple 634 command-line communications example.\n");
	printf("Crystalfotnz America, Inc. http://www.crystalfontz.com\n\n");

	if(Serial_Init(0 /* COM 1 */,4 /* 19200 */))
    {
    printf("Could not open COM1.\n");
    return(0);
    }
  else
    printf("COM1 open at 19200 baud.\n\n");

  //In case the display was powered by our DTR & RTS lines, give the display
  //time to wake up.
  Sleep(500);

  //First turn off "scroll" and "wrap". This will prevent the
  //screen from scrolling like a terminal when we write the last
  //character of the last line.
  SendByte(20);
  SendByte(24);
 
  //Write out both lines on the 632. 

  //Position to line 2, col 1
  SendByte(17);
  SendByte(0);
  SendByte(1);
            //12345678901234567890
  SendString("This is Line 2 *****");

  //Position to line 1, col 1
  SendByte(17);
  SendByte(0);
  SendByte(0);
            //12345678901234567890
  SendString("This is Line 1 *****");

  printf("Press a key to close the port and exit.\n");
  //wait for a key
  while(!kbhit());
  //clear the keyboard buffer
  while(kbhit())
    getch();

  Uninit_Serial();

  return(0);
  }
//============================================================================
